DeluxHostAPI Reference
Services & monitoring

Get supported service actions

GET
/v1/services/{serviceId}/capabilities

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
platform*null|string
operations*array<string>
managementBasePath*null|string
curl -X GET 'https://api.deluxhost.net/v1/services/0/capabilities' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "platform": null,  "operations": [    "string"  ],  "managementBasePath": null}